Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1096512 - BROKEN snapshot status doesn't shown in REST api
Summary: BROKEN snapshot status doesn't shown in REST api
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi
Version: 3.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.5.0
Assignee: Daniel Erez
QA Contact: Raz Tamir
URL:
Whiteboard: storage
Depends On:
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-05-11 12:39 UTC by Raz Tamir
Modified: 2016-02-10 19:45 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-08 06:26:10 UTC
oVirt Team: Storage
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 27592 master ABANDONED restapi: Add snapshot "broken" status Never

Description Raz Tamir 2014-05-11 12:39:53 UTC
Description of problem:
After snapshot status become BROKEN (https://bugzilla.redhat.com/show_bug.cgi?id=1082655), in rest api, this status (<snapshot_status>) isn't shown under the snapshot object.


Version-Release number of selected component (if applicable):
vdsm-4.14.7-0.2.rc.el6ev.x86_64
rhevm-3.4.0-0.16.rc.el6ev.noarch

How reproducible:
100%

Steps to Reproduce:
1. Block connection from host to storage right after snapshot deletion
2. After ~10 minutes snapshot status --> BROKEN
3. Check REST api fot snapshots object collection
4. Under the relevant snapshot, look for <snapshot_status>

Actual results:
<snapshot_status> doesn't show

Expected results:
should be a field with <snapshot_status>BROKEN<snapshot_status>

Additional info:

Comment 1 Allon Mureinik 2014-05-14 14:05:50 UTC
Daniel, your work on bug 1056935 should invalidate this one, as we're no longer have a "BROKEN" status.

Once those patches are merged, please CLOSE WONTFIX this issue.

Comment 2 Daniel Erez 2014-06-08 06:26:10 UTC
BROKEN status removed on I509e278d2d37fb32a7737bf21111f1bfc7b5019b


Note You need to log in before you can comment on or make changes to this bug.